Skip to content
AI Security
Search
K
Main Navigation
App
Appearance
Menu
Return to top
Get prompt template.
​
GET
/backend/v1/prompts/templates/{promptTemplateId}
Retrieves a prompt template by its ID.
Authorizations
​
HTTPBearer
Type
HTTP (bearer)
Parameters
​
Path Parameters
promptTemplateId
*
Type
string
Required
Format
"uuid"
Responses
​
200
422
Successful Response
Content-Type
application/json
Schema
JSON
JSON
{
 Â
"promptTemplate"
:
{
 Â
 Â
"createdAt"
:
"string"
,
 Â
 Â
"id"
:
"string"
,
 Â
 Â
"name"
:
"string"
,
 Â
 Â
"projectId"
:
"string"
,
 Â
 Â
"promptId"
:
"string"
,
 Â
 Â
"userId"
:
"string"
 Â
}
,
 Â
"prompts"
:
[
 Â
 Â
{
 Â
 Â
 Â
"externalMetadata"
:
{
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"extraInputs"
:
{
 Â
 Â
 Â
 Â
"additionalProperties"
:
"string"
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"fromTemplate"
:
false
,
 Â
 Â
 Â
"id"
:
"string"
,
 Â
 Â
 Â
"input"
:
"string"
,
 Â
 Â
 Â
"memory"
:
[
 Â
 Â
 Â
 Â
"string"
 Â
 Â
 Â
]
,
 Â
 Â
 Â
"parentId"
:
"string"
,
 Â
 Â
 Â
"preserve"
:
false
,
 Â
 Â
 Â
"projectId"
:
"string"
,
 Â
 Â
 Â
"provider"
:
"string"
,
 Â
 Â
 Â
"receivedAt"
:
"string"
,
 Â
 Â
 Â
"result"
:
{
 Â
 Â
 Â
 Â
"files"
:
[
 Â
 Â
 Â
 Â
 Â
{
 Â
 Â
 Â
 Â
 Â
 Â
"contentType"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"data"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"id"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"isBase64"
:
true
,
 Â
 Â
 Â
 Â
 Â
 Â
"name"
:
"string"
 Â
 Â
 Â
 Â
 Â
}
 Â
 Â
 Â
 Â
]
,
 Â
 Â
 Â
 Â
"outcome"
:
"string"
,
 Â
 Â
 Â
 Â
"providerResult"
:
{
 Â
 Â
 Â
 Â
 Â
"data"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
"receivedDate"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
"sentDate"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
"statusCode"
:
0
 Â
 Â
 Â
 Â
}
,
 Â
 Â
 Â
 Â
"response"
:
"string"
,
 Â
 Â
 Â
 Â
"scannerResults"
:
[
 Â
 Â
 Â
 Â
 Â
{
 Â
 Â
 Â
 Â
 Â
 Â
"completedDate"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"customConfig"
:
false
,
 Â
 Â
 Â
 Â
 Â
 Â
"data"
:
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"matches"
:
[
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
[
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
]
 Â
 Â
 Â
 Â
 Â
 Â
 Â
]
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"type"
:
"regex"
 Â
 Â
 Â
 Â
 Â
 Â
}
,
 Â
 Â
 Â
 Â
 Â
 Â
"message"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"outcome"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"scanDirection"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"scannerId"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"scannerName"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
"scannerVersionMeta"
:
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"createdAt"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"createdBy"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"description"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"direction"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"f1Score"
:
0
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"id"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"latestDatasetResult"
:
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"datasetRunId"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"f1Score"
:
0
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"name"
:
"string"
,
 Â
 Â
 Â
 Â
 Â
 Â
 Â
"published"
:
true
 Â
 Â
 Â
 Â
 Â
 Â
}
,
 Â
 Â
 Â
 Â
 Â
 Â
"startedDate"
:
"string"
 Â
 Â
 Â
 Â
 Â
}
 Â
 Â
 Â
 Â
]
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"type"
:
"prompt"
,
 Â
 Â
 Â
"userId"
:
"string"
 Â
 Â
}
 Â
]
}
GET
/backend/v1/prompts/templates/{promptTemplateId}
Playground
​
Server
Select a server...
Authorization
HTTPBearer
Variables
Key
Value
promptTemplateId
*
Try it out
Samples
​
Powered by
VitePress OpenAPI